Ads and Commerce
Ads and Commerce
Resources

Ads Pixel Stats

Updated: Dec 10, 2025

Reading

AdsPixelStats

Example

GET /v25.0/{ads-pixel-id}/stats HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
agent
string
agent
aggregation
enum{browser_type, custom_data_field, device_os, device_type, event, host, match_keys, had_pii, pixel_fire, event_detection_method, url, event_value_count, url_by_rule, event_total_counts, event_source, event_processing_results}

Default value: event
The aggregation to use for the stats. Default: event.
browser_type: Get the number of pixel fires per browser type, broken down by hour.
custom_data_field: Get the number of pixel fires for the top 100 custom data fields of an event broken down by hour.
device_os: Get the number of pixel fires per mobile device OS, broken down by hour.
device_type: Get the number of pixel fires per mobile device type, broken down by hour.
event: Get the number of pixel fires for the top 100 events broken down by hour.
host: Get the number of pixel fires for the top 10,000 hosts broken down by hour.
url: Get the number of pixel fires for the top 10,000 URLs broken down by hour. Please note that query parameters are stripped from the URLs.
pixel_fire: Get the number of pixel fires by hour.
event_total_counts: Get the number of pixel fires for all events over the entire time span.
end_time
datetime/timestamp

Default value: <request_time>
The end time of the stats, in the format of Unix or ISO 8601 timestamp. You can get the data up to seven days from the request time.
event
string
Specify which event to aggregate on, when the aggregation is custom_data_field
event_source
string
Specify WEB_ONLY or SERVER_ONLY to filter the pixel events and stats
start_time
datetime/timestamp
The start time of the stats, in the format of Unix or ISO 8601 timestamp.

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdsPixelStatsResult nodes.
paging
For more details about pagination, see the Graph API guide.

Error Codes

Error Code Description
100
Invalid parameter
80004
There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management.
200
Permissions error
368
The action attempted has been deemed abusive or is otherwise disallowed
190
Invalid OAuth 2.0 Access Token

Creating

You can't perform this operation on this endpoint.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon